function [ yvoda ] = CONTIwater( xvoda )
%[ yvoda ] = CONTIwater( xvoda )
% CONTIWATER - špeciálny skript na filtráciu teploty vody
% Vstup:    xvoda - teplotný záznam
% Výstup:   yvoda - vyfiltrovaný záznam

% používa primárne modifikáciu šumom (v zmysle uvedenom v práci)

xvoda(1) = sum(xvoda(1:100))/100;
xvoda(end) = sum(xvoda(end-99:end))/100;

y1 = gauss(5000,xvoda);
noise = y1-xvoda;

noise2 = gauss(2000,noise);
indexes = getNOISEindexes(noise,100,1,0);
noisenext = gauss(3000,noise2);
noisenext(indexes) = noise2(indexes);
noisenext = gauss(3000,noisenext);
y = y1-noisenext;
y1 = gauss(1000,y);

noise = y1-xvoda;

noise2 = gauss(2000,noise);
indexes = getNOISEindexes(noise,100,1,0);
noisenext = gauss(3000,noise2);
noisenext(indexes) = noise2(indexes);
noisenext = gauss(3000,noisenext);
y = y1-1*noisenext;
yvoda = gauss(100,y);



end

